VERSION 5.00
Object = "{3D09E003-D8FC-11D4-8E7E-000000000000}#1.2#0"; "FishFa50.ocx"
Begin VB.Form frmMain 
   BorderStyle     =   1  'Fest Einfach
   Caption         =   "Stanzmaschine mit Transportband"
   ClientHeight    =   3690
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   7545
   BeginProperty Font 
      Name            =   "Tahoma"
      Size            =   8.25
      Charset         =   0
      Weight          =   400
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   Icon            =   "easyStanz.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   ScaleHeight     =   3690
   ScaleWidth      =   7545
   StartUpPosition =   3  'Windows-Standard
   Begin VB.ComboBox cboPortName 
      Height          =   315
      ItemData        =   "easyStanz.frx":030A
      Left            =   5880
      List            =   "easyStanz.frx":031D
      TabIndex        =   4
      Text            =   "Combo1"
      Top             =   2040
      Width           =   1335
   End
   Begin FishFace50.FishFace ft 
      Height          =   855
      Left            =   5880
      TabIndex        =   3
      Top             =   360
      Width           =   1335
      _ExtentX        =   2355
      _ExtentY        =   1508
      AnalogScan      =   0   'False
      BreakingDistance=   6
      ControlInterval =   10
      LPTAnalog       =   0
      LPTIOADR        =   0
      LPTDelay        =   0
      PollInterval    =   10
      Slave           =   0   'False
      StopControlTime =   100
   End
   Begin VB.CommandButton cmdEnde 
      Caption         =   "ENDE"
      Height          =   375
      Left            =   5880
      TabIndex        =   1
      Top             =   2520
      Width           =   1335
   End
   Begin VB.CommandButton cmdAction 
      Caption         =   "START"
      Height          =   375
      Left            =   5880
      TabIndex        =   0
      Top             =   3000
      Width           =   1335
   End
   Begin VB.Image Image1 
      Height          =   2175
      Left            =   600
      Picture         =   "easyStanz.frx":033E
      Top             =   600
      Width           =   4365
   End
   Begin VB.Label lblStatus 
      Alignment       =   2  'Zentriert
      Caption         =   "START/ENDE"
      Height          =   255
      Left            =   5880
      TabIndex        =   2
      Top             =   1560
      Width           =   1335
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
' ------------------------------------------------------------------------------
'
' frmMain(easyStanz.FRM)                                  Ulrich Mller 26.02.02
'                                                         Procida 400NT    VB6.0
' Stanzmaschine mit Transportband 51 663
' mit FishFa50.OCX auf Basis von umFish20.DLL
'
' ------------------------------------------------------------------------------

Option Explicit

Private Const mBand = 1
Private Const cbVor = ftiLinks
Private Const cbRuck = ftiRechts

Private Const mStanze = 2
Private Const eOben = 3
Private Const eUnten = 4
Private Const csAb = ftiLinks
Private Const csAuf = ftiRechts

Private Const ePhotoV = 1
Private Const ePhotoS = 2
Private Const mLampen = 3





Private Sub Action()

' --- Routine fr den Modellbetrieb, kann weitere Subs aufrufen ----

  ft.ClearMotors
  ft.SetMotor mStanze, csAuf
  ft.WaitForInput eOben
  ft.SetMotor mStanze, ftiAus
  ft.SetMotor mLampen, ftiEin
  
  Do
  
    lblStatus = "Wartet"
    ft.WaitForLow ePhotoV
    ft.WaitForTime 500
    
    lblStatus = "Zur Stanze"
    ft.SetMotor mBand, cbVor
    ft.WaitForLow ePhotoS
    ft.SetMotor mBand, ftiAus
    
    lblStatus = "Stanzen"
    ft.SetMotor mStanze, csAb
    ft.WaitForInput eUnten
    ft.SetMotor mStanze, ftiAus
    ft.WaitForTime 1000
    ft.SetMotor mStanze, csAuf
    ft.WaitForInput eOben
    ft.SetMotor mStanze, ftiAus
    
    lblStatus = "Zurck"
    ft.SetMotor mBand, cbRuck
    ft.WaitForInput ePhotoV, False
    ft.WaitForTime 300
    ft.SetMotor mBand, ftiAus
    
  Loop Until ft.Finish(0)
  
End Sub


Private Sub cmdAction_Click()
  
' --- Steuern des Modellbetriebs ------------------------------

  If ft.OpenInterface(cboPortName.Text) = ftifehler Then
    MsgBox "InterfaceProblem", vbCritical + vbOKOnly, App.ProductName
    Exit Sub
  End If
  cmdAction.Enabled = False
  cmdEnde.Caption = "HALT"
  lblStatus.Caption = "Luft"
  cmdEnde.SetFocus
  
  Action
  
  ft.ClearMotors
  ft.CloseInterface
  cmdAction.Enabled = True
  cmdEnde.Caption = "ENDE"
  lblStatus.Caption = "START/ENDE"
  
End Sub


Private Sub cmdEnde_Click()

' --- Beenden des Modellbetrieb, wenn HALT-Button, sonst Programmende ---

  If cmdEnde.Caption = "HALT" Then ft.NotHalt = True Else Unload Me
  
End Sub


Private Sub Form_Load()

  cboPortName.ListIndex = 1
  
End Sub

Private Sub Form_QueryUnload(Cancel As Integer, UnloadMode As Integer)

' --- Sperren des Form-Abbruch-Buttons (x links oben) whrend des
'     Modellbetriebes (HALT-Button)

  If cmdEnde.Caption = "HALT" Then Cancel = 1
  
End Sub

